package com.tds.tapad.demo;

import android.app.Application;
import android.os.Build;

import com.tds.tapad.demo.utils.AdSpaceIdParser;

public class App extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        if(Build.VERSION.SDK_INT>= 29 ) {
            try {
                System.loadLibrary("msaoaidsec");
            } catch (Throwable ignored) {
            }
        }
        globalComponentInit();
    }

    private void globalComponentInit() {
        // Global setup
        AdSpaceIdParser.setup(this);
    }
}
