package com.tds.tapad.demo.banner;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.IdRes;
import android.support.annotation.Nullable;
import android.view.View;
import android.view.WindowManager;

import com.tds.tapad.demo.R;
import com.tds.tapad.demo.views.BaseActivity;

public class BannerHostActivity extends BaseActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN);
        setContentView(R.layout.activity_banner_host);
        setCustomActionBarTitleTextResource(R.string.main_menu_banner);
        bindButton(R.id.portraitBannerAdButton, PortraitBannerActivity.class);
        bindButton(R.id.landscapeBannerAdButton, LandscapeBannerActivity.class);
    }

    private void bindButton(@IdRes int id, final Class<?> clz) {
        findViewById(id).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(BannerHostActivity.this, clz);
                startActivity(intent);
            }
        });
    }
}
