package com.tds.tapad.demo.feed;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.IdRes;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.view.View;

import com.tds.tapad.demo.R;

public class TapFeedViewActivity extends AppCompatActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tap_feed_view);
        bindButton(R.id.feedViewRecyclerButton, FeedRecyclerViewActivity.class);
    }

    private void bindButton(@IdRes int id, final Class<?> clz) {
        findViewById(id).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(TapFeedViewActivity.this, clz);
                startActivity(intent);
            }
        });
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        TapAdNativeSingle single = TapAdNativeSingle.tapAdNativeInstance;
        if (single != null && single.tapAdNative != null) {
            single.tapAdNative.dispose();
        }
    }
}
