package com.tds.tapad.demo.utils;

import android.content.Context;
import android.content.res.AssetManager;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

public class FileUtils {
    public static String readFileFromAssets(Context context, String fileName) {
        if (context == null) return null;
        AssetManager assetManager = context.getAssets();
        BufferedReader bufferedReader = null;
        StringBuilder resultBuilder = new StringBuilder();
        try {
            bufferedReader = new BufferedReader(new InputStreamReader(assetManager.open(fileName), StandardCharsets.UTF_8));
            resultBuilder = new StringBuilder();
            String s;
            while((s = bufferedReader.readLine()) != null) {
                resultBuilder.append(s);
                resultBuilder.append('\n');
            }
        } catch (IOException ex) {

        } finally {
            try {
                if (bufferedReader != null) bufferedReader.close();
            } catch (Throwable ignore) {

            }
        }
        return resultBuilder.toString();
    }
}
